export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  colourScale,
  colourValue,
  tooltipFormat,
  circleRadius
}) =>
  data.map(d => (
    <circle
      className="mark"
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      r={circleRadius}
      fill={colourScale(colourValue(d))}
    >
      <title>{tooltipFormat(xValue(d))}</title>
    </circle>
  ));
