export const ColourLegend = ({colourScale, legendSpacing, keySize, legendTextOffset}) => 
	colourScale.domain().map((domainValue, i) => (
    <g className="tick" transform={`translate(0,${i * legendSpacing})`}>
      <circle fill={colourScale(domainValue)} r={keySize}/>
      <text x={legendTextOffset} dy=".32em">{domainValue}</text>
    </g>
  ));